ad_page_contract {
} {
    mail_job_id:integer,notnull
} -properties {
}

set user_id [ad_maybe_redirect_for_registration]
set package_id [ad_conn package_id]
permission::require_permission -object_id $package_id -privilege mailing_list_admin
permission::require_permission -object_id $mail_job_id -privilege read

db_1row get_job_data {}

if {[exists_and_not_null selection_id]} {
    db_1row get_selection_title {}
    set selection_url "[mailing_list::util::get_sw_url -package_key users-selection]selection?[export_url_vars selection_id]"
} elseif {[exists_and_not_null list_id]} {
    db_1row get_list_name {}
    set list_url "lists?[export_url_vars list_id]"
}

template::multirow create attachments filename file_length

if {![empty_string_p $css_filename]} {
    template::multirow append attachments $css_filename $css_file_length
}

db_foreach get_mail_attachments {} {
    template::multirow append attachments $filename $file_length
}

set context_bar [list [list "." Administration] "Mail Job Detail"]

if {![empty_string_p $text_body]} {
    set text_body [ad_text_to_html -- "$text_header\n$text_body\n$text_footer"]
}
if {![empty_string_p $html_body]} {
    set html_body "$html_header\n$html_body\n$html_footer"
}

if {$template_p == "t" && [empty_string_p $selection_id]} {
    # variable used in text, so try to substitute variables
    set user_first_names "Joe"
    set user_last_name "User"
    set user_id 999
    set user_email "joe.user@hotmail.com"

    variable ::template::parse_level
    lappend ::template::parse_level [info level]
    # Now verify that the substitutions work
    with_catch __errmsg {
	if {![empty_string_p $text_body]} {
	    set __result [template::adp_compile -string $text_body]
	    template::adp_eval __result
	    set text_body $__adp_output
	}
	if {![empty_string_p $html_body]} {
	    set __result [template::adp_compile -string $html_body]
	    template::adp_eval __result
	    set html_body $__adp_output
	}
	set __result [template::adp_compile -string $subject]
	template::adp_eval __result
	set subject $__adp_output
    } {
	# substitution failed, so write error-text in mail_body
	set text_body $__errmsg
    }
    template::util::lpop ::template::parse_level
}

ad_return_template
